# files

abstract fun files(@Nullable paths: Array<@Nullable Any>): FileCollection

Creates a read-only FileCollection containing the given files, as defined by files.

This method can also be used to create an empty collection, but the collection may not be mutated later.

#### Return

The file collection. Never returns null.

#### Since

4.8

#### Parameters

paths

The paths to the files. May be empty.